Bug 330831 - Review Request: gbrainy - a brain teaser game
Review Request: gbrainy - a brain teaser game
Status: CLOSED DUPLICATE of bug 436831
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FE-DEADREVIEW
  Show dependency treegraph
 
Reported: 2007-10-13 13:36 EDT by Jean-François Martin
Modified: 2008-03-19 13:43 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-26 13:52:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jean-François Martin 2007-10-13 13:36:28 EDT
Spec URL: http://www.in-errance.net/fichiers_jf/gbrainy.spec
SRPM URL: http://www.in-errance.net/fichiers_jf/gbrainy-0.3-1.fc7.src.rpm
Description: gbrainy is a brain teaser game and trainer to have fun and to keep your brain trained. It is written for GNOME using Mono, C# and Cairo.
This package is the first package that i submit therefore i need a sponsor.
Comment 1 Mamoru TASAKA 2007-10-16 14:53:06 EDT
Some random notes for 0.3-1:

* Requires
------------------------------------------------------
Requires:       mono-core >= 1.1.7
Requires:       libgnome >= 2.2
Requires:       gtk-sharp2 >= 2.8
Requires:       cairo >= 1.2
Requires:       intltool
-------------------------------------------------------
  - Why is intltool needed (not for BuildRequires but for Requires)?
  - Other Requires are not needed. rpmbuild automatically checks
    the dependencies of libraries installed in the rpm and also mono related 
    dependencies, then adds them to the Requires of binary rpm.

* Mono related packaging issue
  - Currently mono is available on ppc64, so
    "ExcludeArch: ppc64" is needed
  - Debuginfo rpm is empty. 
    This is expected because gbrainy
    rpm does not contain any ELF binary. In this case,
    you must prevent debuginfo rpm from being created by
    adding "%define debug_package %{nil}" (and also
    adding a comment in spec file why this is needed:
    please check http://fedoraproject.org/wiki/Packaging/Debuginfo )

* SourceURL
  - I recommend to use %{name} and %{version} macro in SourceURL
    because with this you probably need not change SourceURL when
    new version is released.

* perl module BuildRequires
  - must be written by the module names, not by rpm names
    (ref: http://fedoraproject.org/wiki/Packaging/Perl )

    In short, "BuildRequires: perl-XML-Parser" must be
    "BuildRequires: perl(XML::Parser)".

* Some notes in %prep/%build/%install section
  - The following line
--------------------------------------------------------------------
sed 's/\/usr\/\/usr/\/usr/' %{_builddir}/%{name}-%{version}/src/gbrainy > tmp
mv -f tmp %{_builddir}/%{name}-%{version}/src/gbrainy
--------------------------------------------------------------------
    can be
--------------------------------------------------------------------
sed -i -e 's|/usr/usr|%{_prefix}|' src/%{name}
--------------------------------------------------------------------
     * You can use "-i" (in place) option of sed
     * You can choose the separator for sed.
     * The working directory at this stage is %{_builddir}/%{name}-%{version}.


* Timestamps
  - Please use
--------------------------------------------------------------------
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"
--------------------------------------------------------------------
    This will save timestamps on most files to be installed (I guess).
    This method usually works for recent Makefiles.

* GTK+ icon cache
  - Icon cache must be updated for icons under %_datadir/icons/hicolor.
    Please check the section "GTK+ icon cache" of
    http://fedoraproject.org/wiki/Packaging/ScriptletSnippets
Comment 2 Jean-François Martin 2007-10-16 19:42:23 EDT
Spec URL: http://www.in-errance.net/fichiers_jf/gbrainy.spec
SRPM URL: http://www.in-errance.net/fichiers_jf/gbrainy-0.3-2.fc7.src.rpm

%changelog
* Tue Oct 16 2007 Jean-François Martin <lokthare@gmail.com> 0.3-2
- Build and BuildRequires corrections
- Exclude ppc64 arch
- Don't create the debuginfo which is useless
- Refresh the icon-cache after install and uninstall
- Various cleaning in the spec 

I have change the spec with suggestions made by Mamoru Tasaka
Comment 3 Mamoru TASAKA 2007-10-17 14:02:21 EDT
For 0.3-2:

* Redundant (Build)Requires:
  - "BuildRequires: mono-core" is not needed. mono-devel requires this
  - "Requires: gtk-sharp2" and "Requires: cairo" are also not needed.
    This package requires 'mono(gtk-sharp)' (please check by
    "rpm -q --requires gbrainy") and this dependency should pull these
    dependency.

Then:
-------------------------------------------------------------
NOTE: Before being sponsored:

This package will be accepted with another few work. 
But before I accept this package, someone (I am a candidate) 
must sponsor you.

Once you are sponsored, you have the right to review other 
submitters' review requests and approve the packages formally. 
For this reason, the person who want to be sponsored (like you) 
are required to "show that you have an understanding 
of the process and of the packaging guidelines" as is described
on :
http://fedoraproject.org/wiki/PackageMaintainers/HowToGetSponsored

Usually there are two ways to show this.
A. submit other review requests with enough quality.
B. Do a "pre-review" of other person's review request
   (at the time you are not sponsored, you cannot do
   a formal review)

When you have submitted a new review request or have pre-reviewed other 
person's review request, please write the bug number on this bug report 
so that I can check your comments or review request.

Fedora Extras package review requests which are waiting for someone to
review can be checked on:
https://bugzilla.redhat.com/bugzilla/buglist.cgi?cmdtype=runnamed&namedcmd=mtasaka-review-noone
NOTE: FE-NEW blockers are now not complete.

Review guidelines are described mainly on:
http://fedoraproject.org/wiki/Packaging/ReviewGuidelines
http://fedoraproject.org/wiki/Packaging/Guidelines
http://fedoraproject.org/wiki/Packaging/ScriptletSnippets
------------------------------------------------------------
Comment 4 Mamoru TASAKA 2007-10-17 14:06:22 EDT
Sorry, please replace with below:

-------------------------------------------------------------
NOTE: Before being sponsored:

This package will be accepted with another few work. 
But before I accept this package, someone (I am a candidate) 
must sponsor you.

Once you are sponsored, you have the right to review other 
submitters' review requests and approve the packages formally. 
For this reason, the person who want to be sponsored (like you) 
are required to "show that you have an understanding 
of the process and of the packaging guidelines" as is described
on :
http://fedoraproject.org/wiki/PackageMaintainers/HowToGetSponsored

Usually there are two ways to show this.
A. submit other review requests with enough quality.
B. Do a "pre-review" of other person's review request
   (at the time you are not sponsored, you cannot do
   a formal review)

When you have submitted a new review request or have pre-reviewed other 
person's review request, please write the bug number on this bug report 
so that I can check your comments or review request.

Fedora package collection review requests which are waiting for someone to
review can be checked on:
http://fedoraproject.org/PackageReviewStatus/NEW.html
(NOTE: please don't choose "Merge Review")


Review guidelines are described mainly on:
http://fedoraproject.org/wiki/Packaging/ReviewGuidelines
http://fedoraproject.org/wiki/Packaging/Guidelines
http://fedoraproject.org/wiki/Packaging/ScriptletSnippets
------------------------------------------------------------
Comment 5 Jean-François Martin 2007-10-17 17:44:07 EDT
Spec URL: http://www.in-errance.net/fichiers_jf/gbrainy.spec
SRPM URL: http://www.in-errance.net/fichiers_jf/gbrainy-0.3-2.fc7.src.rpm

%changelog
* Wed Oct 17 2007 Jean-François Martin <lokthare@gmail.com> 0.3-3
- BuildRequires and Requires corrections
Comment 6 Jean-François Martin 2007-10-17 17:57:17 EDT
Give a wrong URL for the src.rpm, sorry.

* SRPM URL: http://www.in-errance.net/fichiers_jf/gbrainy-0.3-3.fc7.src.rpm

According to the review guidelines, I must put here that if this package is
accepted, it should marked as blocking of FE-ExcludeArch-ppc64 to simplified the
tracking of this issue.
Comment 7 Mamoru TASAKA 2007-10-18 02:21:52 EDT
Well now gbrainy itself is okay.

So I will wait for 
- your pre-review of other persons' review requests
- or your another review request
as I wrote as comment 4.

(In reply to comment #6)
> According to the review guidelines, I must put here that if this package is
> accepted, it should marked as blocking of FE-ExcludeArch-ppc64 to simplified the
> tracking of this issue.
Well, you have to create a new bug which tells that gbrainy does not
support ppc64 and make the bug block bug 238953 after this review
is accepted.

Comment 8 Mamoru TASAKA 2007-10-29 13:43:39 EDT
ping?
Comment 9 Mamoru TASAKA 2007-11-06 04:54:47 EST
ping again?
Comment 10 Jean-François Martin 2007-11-06 12:10:41 EST
I have open another review request for pyrenamer :
https://bugzilla.redhat.com/show_bug.cgi?id=340011
Comment 11 Mamoru TASAKA 2007-11-07 02:52:23 EST
Oh, I didn't notice that both gbrainy and pyrenamer are submitted
by you (and I have already reviewed both...)

----------------------------------------------------------------
    This package (gbrainy) is APPROVED by me
----------------------------------------------------------------

Please follow the procedure according to:
http://fedoraproject.org/wiki/PackageMaintainers/Join
from "Get a Fedora Account".
At a point a mail should be sent to sponsor members which notifies
that you need a sponsor (at the stage, please also write on
this bug for confirmation that you requested for sponsorship)
Then I will sponsor you.

If you want to import this package into Fedora 7, you also have
to look at
http://fedoraproject.org/wiki/Infrastructure/UpdatesSystem/Bodhi-info-DRAFT
(after once you rebuilt this package on Fedora rebuilding system).

If you have questions, please ask me.
Comment 12 Mamoru TASAKA 2007-11-09 06:42:42 EST
Well, I found that you have already requested for sponsor.

Now I should be sponsoring you. Please proceed.
Comment 13 Mamoru TASAKA 2007-11-17 08:26:11 EST
ping?
Comment 14 Jean-François Martin 2007-11-19 12:15:49 EST
Like i have said on the pyrenaimer review request, i am busy fot the moment and
i don't have time to spend to create the rpm for Fedora (i need to learn how to
that before also).
Comment 15 Mamoru TASAKA 2007-12-15 10:03:40 EST
Still you don't have any time? If so, I want to close this
bug as NOTABUG once.
Comment 16 Mamoru TASAKA 2007-12-19 08:53:13 EST
I will close this bug as NOTABUG if no response is gained from the reporter
by 2007-12-26.

Comment 17 Jordi Mas 2007-12-20 04:49:06 EST
Hello,

Using the OpenSuse build service I have created the packages for Fedora 7 and 8.
See:

http://download.opensuse.org/repositories/home:/jordimas/Fedora_7/
http://download.opensuse.org/repositories/home:/jordimas/Fedora_8/

Thanks,

Jordi,
Comment 18 Mamoru TASAKA 2007-12-20 09:41:59 EST
(In reply to comment #17)
> Hello,
> 
> Using the OpenSuse build service I have created the packages for Fedora 7 and 8.
> See:
> 
> http://download.opensuse.org/repositories/home:/jordimas/Fedora_7/
> http://download.opensuse.org/repositories/home:/jordimas/Fedora_8/
> 
> Thanks,
> 
> Jordi,

Hello, Jordi.
Do this mean that you want to maintain gbrainy on Fedora 
if Martin does not respond to this review request by 2007-12-26?
Comment 19 Jordi Mas 2007-12-20 13:39:22 EST
Hello,

I plan to use OpenSuse build service to maintain the Suse build. Since the
system produces the Fedora packets I can produce them. However, I'm not an
expert on packaging. I have tried the Fedora 8 and 7 packages and they do
install correctly in Fedora 7 or 8.

If these packages are correct I can produce them since I'm very interested in
making gbrainy available to the Fedora community.

Thanks,

Jordi,
Comment 20 Jack Tanner 2007-12-21 13:30:50 EST
Jordi,

Thank you for making gbrainy, and for your interest in having it in Fedora.

The OpenSUSE build service is nice for building binary rpms, but it doesn't
actually place the rpms in the Fedora repos. Instead, we have to use the Fedora
build services -- Koji and Bodhi.

I imagine that you'll find that they are not difficult to use. The complicated
part is getting a spec file put together, but it seems that the previous
submitter has done that already. Please consider getting a maintainer account in
Fedora.

Best wishes.
Comment 21 Mamoru TASAKA 2007-12-22 08:52:25 EST
I am still waiting for a reply from Jean-François, however:

Jordi, thank you for submitting your spec/srpm. However I must say
that your spec/srpm needs not a few improvement. Please see

http://fedoraproject.org/wiki/Packaging/Guidelines
http://fedoraproject.org/wiki/Packaging/ReviewGuidelines
http://fedoraproject.org/wiki/Packaging/SourceURL
http://fedoraproject.org/wiki/Packaging/DistTag
http://fedoraproject.org/wiki/Packaging/ScriptletSnippets
http://fedoraproject.org/wiki/SIGs/Games

and rewrite your spec file.
Comment 22 Mamoru TASAKA 2007-12-26 13:52:25 EST
Once closing.

If someone wants to import this package into Fedora, please open a
new review request and mark this bug a duplicate of the new bug.

Thanks!
Comment 23 Mamoru TASAKA 2008-03-19 13:43:46 EDT

*** This bug has been marked as a duplicate of 436831 ***

Note You need to log in before you can comment on or make changes to this bug.